# Listing of payment methods

The endpoint returns the listing of all available payment methods and
details about their settings. Paging is not used, it always returns all
methods at once.

Endpoint: GET /api/payment-methods
Version: 1.0.0
Security: shoptetAccessToken, shoptetPrivateApiToken

## Query parameters:

  - `salesChannelGuid` (string)
    Sales channel GUID. Optional parameter, if not provided, all payment methods will be returned.
    Example: "0199bdfd-0979-71fb-85ce-e483c61d391b"

## Header parameters:

  - `Content-Type` (string, required)

## Response 200 fields (application/json):

  - `data` (object, required)

  - `data.paymentMethods` (array, required)

  - `data.paymentMethods.guid` (string, required)
    payment method GUID

  - `data.paymentMethods.name` (string, required)
    name of payment gateway, as can be seen in e-shop

  - `data.paymentMethods.description` (string,null, required)
    additional information about the gateway

  - `data.paymentMethods.submethod` (string,null, required)
    additional identification of payment method

  - `data.paymentMethods.paymentType` (object, required)
    payment method

  - `data.paymentMethods.paymentType.id` (integer, required)
    payment method ID

  - `data.paymentMethods.paymentType.code` (string, required)
    identifier of the payment type (payment method operator).

  - `data.paymentMethods.paymentType.name` (string, required)
    name of the payment type (payment method operator).

  - `data.paymentMethods.visible` (boolean, required)
    Is the payment method visible?

  - `data.paymentMethods.priority` (integer,null)
    sequence within the list

  - `data.paymentMethods.wholesale` (boolean, required)
    Is the payment method available for wholesale?

  - `data.paymentMethods.logoUrl` (string,null, required)
    URL of payment method logo

  - `data.wholesaleActive` (boolean, required)
    flag, whether the wholesale payment methods are permitted

  - `data.wholesaleSplitActive` (boolean, required)
    flag, whether the wholesale payment methods split is enabled. True if wholesale payment methods are permitted and split is active, otherwise false

  - `data.defaultRetailMethod` (string,null, required)
    default payment method for the retail sale

  - `data.defaultWholesaleMethod` (string,null, required)
    default payment method for wholesale

  - `errors` (array,null, required)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

  - `metadata` (object, required)

  - `metadata.requestId` (string, required)
    Request identifier. Useful for logging/reporting purposes.

## Response 403 fields (application/json):

  - `data` (object,null)

  - `errors` (array,null)

  - `metadata` (object)

## Response 404 fields (application/json):

  - `data` (object,null)

  - `errors` (array,null)

  - `metadata` (object)

## Response 422 fields (application/json):

  - `data` (object,null)

  - `errors` (array,null)

  - `metadata` (object)


